{% load icon %}
<div class="card card-lg">
    <div class="card-body row">
        <div class="col-md-12">
            <div class="symbole-categorie"><i class="far fa-newspaper fa-2x"></i></div>
            <h3 class="titre_categorie title">Les news de la perm'</h3>
            <div class="trait"></div>

            <div class="texte_bureau">
                <h4 class="margin-top">Départs de matériel</h4>
                <hr>
                {% regroup depart_emprunt by emprunt as depart_emprunt_list %}
                {% for emprunt in depart_emprunt_list %}
                    <p><strong>{{ emprunt.grouper.membre.nomComplet }}</strong> récupère:</p>
                    <ul>
                        {% for element in emprunt.list %}
                            <li class="margin-top">{{ element.materiel.nom }}</li>
                        {% endfor %}
                    </ul>
                    {% if not forloop.last %}
                        <hr>{% endif %}
                {% empty %}
                    <p class="margin-top">Pas de départ de matériel aujourd'hui.</p>
                {% endfor %}

                <h4 class="margin-top">Retours de matériel</h4>
                <hr>
                {% regroup retour_emprunt by emprunt as retour_emprunt_list %}
                {% for emprunt in retour_emprunt_list %}
                    <p><strong>{{ emprunt.grouper.membre.nomComplet }}</strong> rend:</p>
                    <ul>
                        {% for element in emprunt.list %}
                            <li class="margin-top">{{ element.materiel.nom }}</li>
                        {% endfor %}
                    </ul>
                    {% if not forloop.last %}
                        <hr>{% endif %}
                {% empty %}
                    <p class="margin-top">Pas de retour de matériel aujourd'hui.</p>
                {% endfor %}

                {% if users_a_valider %}
                    <h4 class="margin-top">Utilisateurs à valider</h4>
                    <hr>
                    {% for user in users_a_valider %}
                        {% with user.groups.all|first as group %}
                            <div class="row margin-top">
                                <div class="col-sm-6">
                                    <p>
                                        {{ user.nomComplet }}
                                    </p>
                                </div>
                                <div class="offset-sm-1 col-sm-2">
                                    <div class="btn-group">
                                        <button class="btn btn-success"
                                                onclick="$.get('{% url 'valider_utilisateur' user.id group.id %}', function() { location.reload(); })">{{ group }}</button>
                                        <button class="btn btn-secondary"
                                                onclick="location.href='{% url 'admin_user' user.id %}'">Profil
                                        </button>
                                    </div>
                                </div>
                            </div>
                        {% endwith %}
                    {% endfor %}
                {% endif %}

                {% if ndfs_en_attente %}
                    <h4 class="margin-top">Notes de frais à valider</h4>
                    <hr>
                    <ul>
                    {% for ndf in ndfs_en_attente %}
                        <li><a href="{% url 'detail_note_de_frais' ndf.id %}">N{{ ndf.numero }} ({{ ndf.collaborateur }})</a></li>
                    {% endfor %}
                    </ul>
                {% endif %}

                {% if users_a_valider_cotisation %}
                    <h4 class="margin-top">Cotisation{{ users_a_valider_cotisation|length|pluralize }}</h4>
                    <hr>
                    {% for user in users_a_valider_cotisation %}
                        <div class="row margin-top">
                            <div class="col-sm-6">
                                <p>
                                    {{ user.nomComplet }}
                                </p>
                            </div>
                            <div class="offset-sm-1 col-sm-2">
                                <div class="btn-group">
                                    <button class="btn btn-success"
                                            onclick="$.get('{% url 'valider_cotisation' user.id user.PAYEE_ESP %}', function() { location.reload(); })">
                                        ESP
                                    </button>
                                    <button class="btn btn-secondary"
                                            onclick="location.href='{% url 'admin_user' user.id %}'">Plus
                                    </button>
                                    <button class="btn btn-danger"
                                            onclick="$.get('{% url 'valider_cotisation' user.id user.NON_NECESSAIRE %}', function() { location.reload(); })">
                                        <i class="far fa-times-circle"></i></button>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% endif %}
            </div>
        </div>
    </div>
</div>